
.. _namedtype.DefaultedNamedType:

.. |NamedType| replace:: DefaultedNamedType

DefaultedNamedType
------------------

.. autoclass:: pyasn1.type.namedtype.DefaultedNamedType
   :members:

   .. note::

        The *DefaultedNamedType* class models named field of a constructed
        ASN.1 type which has a default value.

        The *DefaultedNamedType* objects are normally utilized
        by the :ref:`NamedTypes <namedtype.NamedTypes>` objects
        to model individual fields of the constructed ASN.1
        types.
